Skip to content
GET /unified/instant-messaging/messages

Query Parameters

Refer Specifying query parameters in Truto APIs

workspace
2 supported2 required
Microsoft 365
required
Microsoft Teams
required
id
required
channelobject

Channel to which the message belongs.

3 supported3 required
Microsoft 365
required
Microsoft Teams
required
Slack
required
idstring
required·

Unique identifier for the channel.

typestring
required·

Type of the channel.

Possible values:
channeldmgroup_dm
namestring

Name of the channel.

userobject

The user whose messages are to be retrieved.

1 supported
Microsoft Teams
supported
idstring
required·

The unique identifier of the user.

updated_atstring · date-time

Date and time when the message was last updated.

3 supported
Microsoft 365
supported
Microsoft Teams
supported
Slack
supported
parentobject

Parent entity of the message.

3 supported
Microsoft 365
supported
Microsoft Teams
supported
Slack
supported
idstring

Unique identifier for the parent entity.

typestring

Type of the parent entity.

Possible values:
message
created_atstring · date-time

Date and time when the message was created.

3 supported
Microsoft 365
supported
Microsoft Teams
supported
Slack
supported
Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_key_bystring

By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.

Example: id
truto_ignore_limitboolean

Ignores the limit query parameter.

truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

next_cursorstring

The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.

resultobject[]

List of Messages

idstring
required·

Unique identifier for the message.

3 supported
Microsoft 365
supported
Microsoft Teams
supported
Slack
supported
attachmentsobject[]

Attachments of the message.

3 supported
Microsoft 365
supported
Microsoft Teams
supported
Slack
supported
4 properties
idstring

Unique identifier for the attachment.

namestring

Name of the attachment.

typestring

Type of the attachment.

urlstring

URL of the attachment.

authorobject

Author of the message. Is a member object.

3 supported
Microsoft 365
supported
Microsoft Teams
supported
Slack
supported
2 properties
idstring

Unique identifier for the author.

namestring

Name of the author.

bodyobject

Body of the message.

3 supported
Microsoft 365
supported
Microsoft Teams
supported
Slack
supported
2 properties
contentstring

Content of the message body.

formatstring

Format of the message body.

channelobject

Channel to which the message belongs.

3 supported
Microsoft 365
supported
Microsoft Teams
supported
Slack
supported
3 properties
idstring

Unique identifier for the channel.

namestring

Name of the channel.

typestring

Type of the channel.

created_atstring · date-time

Date and time when the message was created.

3 supported
Microsoft 365
supported
Microsoft Teams
supported
Slack
supported
has_childrenboolean

Whether the message has children.

1 supported
Slack
supported
parentobject

Parent entity of the message.

3 supported
Microsoft 365
supported
Microsoft Teams
supported
Slack
supported
2 properties
idstring

Unique identifier for the parent entity.

typestring

Type of the parent entity.

Possible values:
message
remote_dataRecord<string, any>

Raw data returned from the remote API call.

updated_atstring · date-time

Date and time when the message was last updated.

3 supported
Microsoft 365
supported
Microsoft Teams
supported
Slack
supported
curl -X GET 'https://api.truto.one/unified/instant-messaging/messages?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/instant-messaging/messages?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/instant-messaging/messages"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.list(
  'instant-messaging',
  'messages',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.unified_api.list(
        "instant-messaging",
        "messages",
        {"integrated_account_id": "<integrated_account_id>"}
    ):
        print(item)

asyncio.run(main())